Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geomgraph
Class GraphComponent

    java.lang.Object
      com.vividsolutions.jts.geomgraph.GraphComponent

Direct Known Subclasses:
  Edge, Node

public abstract class GraphComponent
extends java.lang.Object

A GraphComponent is the parent class for the objects' that form a graph. Each GraphComponent can carry a Label.

Version:
  1.7

Field Summary
`protected Label` | `label`

Constructor Summary
`GraphComponent()`
`GraphComponent(Label label)`

Method Summary
`protected abstract void` | `computeIM(IntersectionMatrix im)` compute the contribution to an IM for this component
`abstract Coordinate` | `getCoordinate()`
`Label` | `getLabel()`
`boolean` | `isCovered()`
`boolean` | `isCoveredSet()`
`boolean` | `isInResult()`
`abstract boolean` | `isIsolated()` An isolated component is one that does not intersect or touch any other component.
`boolean` | `isVisited()`
`void` | `setCovered(boolean isCovered)`
`void` | `setInResult(boolean isInResult)`
`void` | `setLabel(Label label)`
`void` | `setVisited(boolean isVisited)`
`void` | `updateIM(IntersectionMatrix im)` Update the IM with the contribution for this component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    protected Label label

Constructor Detail

### GraphComponent

    public GraphComponent()

### GraphComponent

    public GraphComponent(Label label)

Method Detail

### getLabel

    public Label getLabel()

### setLabel

    public void setLabel(Label label)

### setInResult

    public void setInResult(boolean isInResult)

### isInResult

    public boolean isInResult()

### setCovered

    public void setCovered(boolean isCovered)

### isCovered

    public boolean isCovered()

### isCoveredSet

    public boolean isCoveredSet()

### isVisited

    public boolean isVisited()

### setVisited

    public void setVisited(boolean isVisited)

### getCoordinate

    public abstract Coordinate getCoordinate()

  Returns:
    a coordinate in this component (or null, if there are none)

### computeIM

    protected abstract void computeIM(IntersectionMatrix im)

  compute the contribution to an IM for this component

### isIsolated

    public abstract boolean isIsolated()

  An isolated component is one that does not intersect or touch any other component. This is the case if the label has valid locations for only a single Geometry.

  Returns:
    true if this component is isolated

### updateIM

    public void updateIM(IntersectionMatrix im)

  Update the IM with the contribution for this component. A component only contributes if it has a labelling for both parent geometries

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD